[Support] Linuxserver.io - Unifi-Controller


810 posts in this topic Last Reply

Recommended Posts

  • Replies 809
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Which may or may not mean it's a good idea to push that version to a production environment. "Stable" unifi software has caused major headaches in the past, I'd much rather wait until it's been runnin

I was having adoption issues when i changed to this docker and then i remembered i had the same problem before after an upgrade and i had to change the docker to "host" from "bridge".   Rest

Success, so far, I'm running 5.14.23-ls76 now.   So, to summarize, to those who wish to move from LTS (5.6.42) to 5.14.23-ls76, you must first use 5.10.24-ls21 to upgrade the database.

Posted Images

Here is the advice that I received on the Unifi forums:

Quote

You can first upgrade to 5.6.40 to get all the firmware updated, then you can upgrade to 5.12.35 if you don't have any UAP AC's, UAP AC v2's, UAP AC OD's or PicoM2's.

The problem is that there doesn't seem to be a readily available 5.6.40 version for unRAID.  Perhaps I can try 5.7 and see how it goes.  

 

Worst case scenario - can I just manually upgrade the firmware on my UAPs (and USG if required) from an ssh session?

Link to post
2 hours ago, wayner said:

Thanks Hoopster.  I did see some discussion about moving the network setting from bridge to host, I assume that is what you mean.  I wasn't really in a loop you as it hadn't even adopted my devices yet.

The "adoption/disconnect" loop "fixes" also address just getting devices recognized and adopted.

 

Changing to host mode is one thing some users needed to do (me included on to get devices recognized - then I set it back to bridge after adoption).  You will likely also need to set the Controller Hostname/IP to your unRAID server IP and Override the inform host.

 

image.png.6ef384ae4e2d12503e494a3d2682b594.png

Edited by Hoopster
Link to post
2 hours ago, wayner said:

The problem is that there doesn't seem to be a readily available 5.6.40 version for unRAID

unRAID as a Linux platform is not directly supported by Ubiquiti and they would be clueless on how to help you.  They also don't support docker instances (which is what this container is) so you won't get much help from Ubiquiti.

Link to post

I saw that so I haven't mentioned on the Unifi forums that I am using unRAID.  It looks like I have two options to get upgraded:

1) Jump right in and jump to 5.12.35.  Then I may have to ssh into the UAPs and do a manual upgrade and potentially do some other manually stuff to get them running.

2) Install controller 5.6.4 in Windows.  Then I will probably have to adopt all of the devices, upgrade them to the latest version.  Then install the docker version 5.12.35 and adopt the devices into the docker version.

 

Any feeling on which is easier?  I have at least one of my UAPs with newer firmware so maybe I will do step 1 and ensure that I can get that UAP adopted and then work on the other four.  

Link to post
4 hours ago, wayner said:

1) Jump right in and jump to 5.12.35.  Then I may have to ssh into the UAPs and do a manual upgrade and potentially do some other manually stuff to get them running.

I think this is possible and personally, I would go this route.

 

See my saga documented in the linked thread when attempting to go to the 5.9.x/5.10.x controller from 5.6.x at the time I made the container switch.  The controller/container has been very stable since I went through all this.

 

You may have to SSH into devices and manual set-inform on them to get things kick started and you will need to make sure things are done in the proper order if you have out of date firmware not supported by 5.12.35.

 

 

 

Edited by Hoopster
Link to post

Last night after I upgraded to the new container, and things didn't go well, I rolled back to the old container with 5.4.60.  I then had to do a bunch of futzing around to get the controller to re-adopt the UAPs.  In some instances a reboot was enough, but on one or two others I did have to manually issue the set-inform command, and even that didn't work on one of them - I had to restore factory defaults and start over.

Link to post

I upgraded the container to 5.12.35 and then had to ssh into all of my devices and issue the set-inform command.  But everything seems good now.  Thanks for your help.

 

p.s. My WAPs were running 4.0.15.9872 so they appeared to be above the minimum version for 5.12.35. I am in the process of updating them.

Link to post
16 minutes ago, montery said:

Nope... reading the controller manual, it's supposed to ask me for a admin username and password... but it didn't.  So I thought the docker had a default username/password for first time setup.  Would it be the username/password of the AP's?

Yes. The first time you connect to the webUI at https://<your ip>:8443 you should see a setup wizard that asks you for a username and password.

Link to post
35 minutes ago, montery said:

Ok, I'm really embarrassed to be asking this, but, is there a default Username/Password once you have the docker installed? 

There is no user/password for the docker container.  There is for the controller UI and for USG/APs/Switches, etc.

 

https://help.ubnt.com/hc/en-us/articles/204909374-UniFi-Accounts-and-Passwords-for-Controller-Cloud-Key-and-Other-Devices

 

You should be asked to change username/pw when you enter the controller the first time and in the controller you can designate another user/pw for device access.

Link to post

So it looks like we are going to have more fun in around 15 months.  Unifi just announced that a bunch or products are being EOLed.  So it looks like that for controller versions that come after March 2021 you will no longer be able to configure the EOL devices, which include:

UAP-Outdoor

UAP-Outdoor+

UAP-Pro

UAP-IW

UAP (v1+v2)

UAP-LR (v1+v2)

UAP-AC-EDU

UAP-AC-IW-PRO

 

So we may need to keep a legacy controller version of whatever was the latest as of March 1, 2021.

Edited by wayner
Link to post
1 hour ago, wgstarks said:

Yes. The first time you connect to the webUI at https://<your ip>:8443 you should see a setup wizard that asks you for a username and password.

Thanks... 

 

The issue was entirely my set up.  The problem had to do with some oddities in the Cache drive with a cd: user: Transport endpoint is not connected error.  I deleted the appdata\unifi-controller folder.  A reboot later and a re-install of the docker, and I can assign my user name and password.

  

Link to post
3 hours ago, dorgan said:

Trying to setup unifi controller and try load the UI and I am getting the following error:

 

1431213753_ScreenShot2019-12-29at12_23_34PM.thumb.png.c19a0321b3a1c4db0bbcd1823d1ca107.png

How long did you wait after you started the container?

It generates the ssl certificate on first run, so might be you didn't wait until the certificate was created.

Link to post
6 hours ago, dorgan said:

Trying to setup unifi controller and try load the UI and I am getting the following error:

 

1431213753_ScreenShot2019-12-29at12_23_34PM.thumb.png.c19a0321b3a1c4db0bbcd1823d1ca107.png

This is a chrome issue not liking the self signed cert that the container generates. Unfortunately I'm not a chrome user so no sure what the fix is. I know there was a user that had the same issue earlier in this thread.

Link to post
On 12/29/2019 at 6:21 PM, j0nnymoe said:

This is a chrome issue not liking the self signed cert that the container generates. Unfortunately I'm not a chrome user so no sure what the fix is. I know there was a user that had the same issue earlier in this thread.

I just now set up this Docker container and accessed it via Chrome Version 79.0.3945.88 on a Mac -- no issues with the self-signed cert.

Link to post

Huge thanks to the Linuxserver.io team for this Docker container. I just set it up on my existing Unifi network and migrated from my old controller (running on a DigitalOcean cloud instance) using the Unfi controller's Site Export Wizard. The process was flawless, and I had all of my devices up on the new controller in about 5 minutes. Both controllers were on 5.12.35, and all devices were up-to-date, so that probably helped a lot.

Link to post

Hello,

  I have a weird docker-ism where my docker always shows that I'm in need of an update. The docker install is on 5.6.42. I can pull the update, but on next check, it will always say I need to pull a new version. Weird. It's not a big deal, but I've attached my docker settings and the "header" on the docker summary page.

  Thanks guys--if you have a free minute or know what causes this, I'd appreciate the insight!

 

Josh

PS: I have a similar cert issue that dorgan's having, except I can manually override the Chrome objections and go to the site. Not sure how to get a properly signed cert from the IP address I have the docker on like I do with the main unRaid server site.

 

DockerEdit.JPG

DockerHeader.JPG

Edited by uiuc_josh
Forgetfulness. And age.
Link to post
10 minutes ago, uiuc_josh said:

Hello,

  I have a weird docker-ism where my docker always shows that I'm in need of an update. The docker install is on 5.6.42. I can pull the update, but on next check, it will always say I need to pull a new version. Weird. It's not a big deal, but I've attached my docker settings and the "header" on the docker summary page.

  Thanks guys--if you have a free minute or know what causes this, I'd appreciate the insight!

 

Josh

PS: I have a similar cert issue that dorgan's having, except I can manually override the Chrome objections and go to the site. Not sure how to get a properly signed cert from the IP address I have the docker on like I do with the main unRaid server site.

 

DockerEdit.JPG

DockerHeader.JPG

What version of unRaid

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.